For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
Logo
Log inBook a demo
API ReferenceModel Sync

Activate Sync

POST
https://app.polytomic.com/api/syncs/:id/activate
POST
/api/syncs/:id/activate
$curl -X POST https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/activate \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "active": false
>}'
1{
2 "data": {
3 "active": false,
4 "id": "248df4b7-aa70-47b8-a036-33ac447e668d"
5 }
6}
Sets whether a model sync is active. Only active syncs execute on schedule or in response to a manual trigger. Set `active` to `false` to pause a sync without deleting it. > 📘 Deactivating a sync does not cancel an execution that is already in > progress. Use [`POST /api/syncs/{id}/cancel`](../../../../api-reference/model-sync/cancel) to stop a > running execution.
Was this page helpful?
Previous

Cancel Sync

Next

Sets whether a model sync is active.

Only active syncs execute on schedule or in response to a manual trigger. Set active to false to pause a sync without deleting it.

📘 Deactivating a sync does not cancel an execution that is already in progress. Use POST /api/syncs/{id}/cancel to stop a running execution.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringOptional

Request

This endpoint expects an object.
activebooleanRequired

Response

OK
dataobject

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error